package model

type FileManager struct {
	FileId         int64   `xorm:"not null pk autoincr INT(11)" json:"fileId"` //文件编号
	FileName       string  `xorm:"VARCHAR(200)" json:"fileName"`               //文件名
	AccessUrl      string  `xorm:"VARCHAR(400)" json:"url"`                    //访问路径
	Scene          string  `xorm:"VARCHAR(40)" json:"scene"`                   //应用场景，0 : 其他, 1: 道路; 2: 桥梁; 3:隧道; 4: 边坡
	DataType       int     `xorm:"TINYINT index default 0" json:"dataType"`    //数据类型，1:数据集;2:病害库;3:应用;0:其他
	DatasetId      int64   `xorm:"INT(11) index default 0" json:"datasetId"`   //数据集
	FileSize       int64   `xorm:"BIGINT" json:"fileSize"`                     //文件大小
	FileMd5        string  `xorm:"VARCHAR(64)" json:"fileMd5"`                 //文件MD5
	IsDisease      int     `xorm:"TINYINT index default 0" json:"isDisease"`   //数据标注状态; 0:未标注;1:有病害;2:无病害
	Creator        int64   `xorm:"INT(11) index" json:"creator"`               //上传人
	CreateAt       int64   `xorm:"created" json:"createAt"`                    //上传时间
	UpdateAt       int64   `xorm:"updated" json:"updateAt"`                    //更新时间
	MilepostNumber string  `xorm:"VARCHAR(64)" json:"milepostNumber"`          //里程桩号
	FileType       int     `xorm:"SMALLINT default 1" json:"fileType"`         //文件类型 1:图片 2: 视频 3:雷达图谱
	LineNum        int     `xorm:"SMALLINT default 0" json:"lineNum"`          //车道号
	UpDown         int     `xorm:"TINYINT default 0" json:"upDown"`            //上下行， 0:上行;1:下行
	Longitude      float64 `xorm:"decimal(18,6)" json:"longitude"`             //经度
	Latitude       float64 `xorm:"decimal(18,6)" json:"latitude"`              //纬度
	Pid            int64   `xorm:"INT(11) default 0 index" json:"pid"`         //上级编号
}
